Package com.google.android.exoplayer2

## Interface ExoPlayer.AudioOffloadListener

- Enclosing interface:
    ExoPlayer

      public static interface ExoPlayer.AudioOffloadListener

  A listener for audio offload events.

  This class is experimental, and might be renamed, moved or removed in a future release.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onExperimentalOffloadSchedulingEnabledChanged​(boolean offloadSchedulingEnabled)` | Called when the player has started or stopped offload scheduling using `ExoPlayer.experimentalSetOffloadSchedulingEnabled(boolean)`.
    `default void` | `onExperimentalSleepingForOffloadChanged​(boolean sleepingForOffload)` | Called when the player has started or finished sleeping for offload.

- - ### Method Detail

    - #### onExperimentalOffloadSchedulingEnabledChanged

          default void onExperimentalOffloadSchedulingEnabledChanged​(boolean offloadSchedulingEnabled)

      Called when the player has started or stopped offload scheduling using `ExoPlayer.experimentalSetOffloadSchedulingEnabled(boolean)`.

      This method is experimental, and will be renamed or removed in a future release.

    - #### onExperimentalSleepingForOffloadChanged

          default void onExperimentalSleepingForOffloadChanged​(boolean sleepingForOffload)

      Called when the player has started or finished sleeping for offload.

      This method is experimental, and will be renamed or removed in a future release.